var Toolbar_show01 = function() {

        var opts = {
            email: "",
            productId: "",
            newsId: "",
            toolbarStyle: "",
            mobile: "",
            toolbarsize: "",
            mainBodyBottom: 0,
            mainBody: 0,
            clicktype: 0,
            logintype: ""
        };

        var init = function(options) {
                $.extend(opts, options);
                initEvents();
                setInterval(function(){
				    if(sessionStorage["refreshcart"] && sessionStorage["refreshcart"]=="1"){
				    	getshopNum();
				    }
		    	},1000);
            };

        var initEvents = function() {

                getshopNum();

                mainBodyBottom = $("#box_footerBody").css("bottom");

                if ($.os.ios && navigator.userAgent.indexOf("Safari") != -1 && navigator.userAgent.indexOf("MQQBrowser") == -1) {
                    mainBody = $("#box_mainBody").css("bottom")
                } else {
                    mainBody = $("#box_mainBody").css("bottom")
                }

                if (opts.toolbarsize == 0) {
                    if ($.os.ios && navigator.userAgent.indexOf("Safari") != -1 && navigator.userAgent.indexOf("MQQBrowser") == -1) {
                        $(this).parents("#box_footerBody").css("bottom", "-106px");
                        $('#box_mainBody').css('bottom', '-61px');
                    } else {
                        $(this).parents("#box_footerBody").css("bottom", "-45px");
                        $('#box_mainBody').css('bottom', '0');
                    }
                }

                if (opts.toolbarStyle == "yp") {
                    if ($.os.ios && navigator.userAgent.indexOf("Safari") != -1 && navigator.userAgent.indexOf("MQQBrowser") == -1) {
                        $('#box_mainBody').css('bottom', '-61px');
                    } else {
                        $('#box_mainBody').css('bottom', '0');
                    }
                }

                if (opts.toolbarStyle != "yp") {
                    if (opts.toolbarsize == 1) {
                        $(".Toolbar_show01-d1_c1 footerWrap li").addClass("z3g-column1");
                    }
                    if (opts.toolbarsize == 2) {
                        $(".Toolbar_show01-d1_c1 footerWrap li").addClass("z3g-column2");
                    }
                    if (opts.toolbarsize == 3) {
                        $(".Toolbar_show01-d1_c1 footerWrap li").addClass("z3g-column3");
                    }
                    if (opts.toolbarsize == 4) {
                        $(".Toolbar_show01-d1_c1 footerWrap li").addClass("z3g-column4");
                    }
                    if (opts.toolbarsize == 5) {
                        $(".Toolbar_show01-d1_c1 footerWrap li").addClass("z3g-column5");
                    }
                }

                if (opts.toolbarStyle == "hd") {
                    var opentype = sessionStorage["opentype"];
                    if (opentype == 'close') {
                        $(".controlBar").removeClass("open");
                        $(".controlBar").addClass("close");
                        if ($.os.ios && navigator.userAgent.indexOf("Safari") != -1 && navigator.userAgent.indexOf("MQQBrowser") == -1) {
                            $(".controlBar").parents("#box_footerBody").css("bottom", "-106px");
                            $('#box_mainBody').css('bottom', '-61px');
                        } else {
                            $(".controlBar").parents("#box_footerBody").css("bottom", "-45px");
                            $('#box_mainBody').css('bottom', '0');
                        }
                    } else {
                        $(".controlBar").removeClass("close");
                        $(".controlBar").addClass("open");
                        $(".controlBar").parents("#box_footerBody").css("bottom", mainBodyBottom);
                        setTimeout(function() {
                            $('#box_mainBody').css('bottom', mainBody);
                        }, 200);
                    }
                }

                $(".controlBar").click(function(evt) {
                    evt.stopPropagation();
                    $("#toolMoreWrap").hide();
                    if ($(this).hasClass("open")) {
                        $(this).removeClass("open");
                        $(this).addClass("close");
                        sessionStorage["opentype"] = "close";
                        if ($.os.ios && navigator.userAgent.indexOf("Safari") != -1 && navigator.userAgent.indexOf("MQQBrowser") == -1) {
                            $(this).parents("#box_footerBody").css("bottom", "-106px");
                            $('#box_mainBody').css('bottom', '-61px');
                        } else {
                            $(this).parents("#box_footerBody").css("bottom", "-45px");
                            $('#box_mainBody').css('bottom', '0');
                        }
                    } else {
                        $(this).removeClass("close");
                        $(this).addClass("open");
                        sessionStorage["opentype"] = "open";
                        $(this).parents("#box_footerBody").css("bottom", mainBodyBottom);
                        setTimeout(function() {
                            $('#box_mainBody').css('bottom', mainBody);
                        }, 200);
                    }
                })

                $(".circleIcon").click(function(evt) {
                    evt.stopPropagation();
                    if ($(this).parent(".footerToolStyle3").find(".circleListWrap").css("display") == "block") {
                        $(this).parent(".footerToolStyle3").find(".circleListWrap").hide();
                        $("#toolMoreWrap").hide();
                        $(this).addClass("current");
                    } else {
                        $(this).parent(".footerToolStyle3").find(".circleListWrap").show();
                        $("#toolMoreWrap1").show();
                        $(this).parent(".footerToolStyle3").find(".circleListWrap").find("#circleBgid").removeClass();
                        $(this).parent(".footerToolStyle3").find(".circleListWrap").find("#circleBgid").addClass("circleBg");
                        $(this).addClass("current");
                    }
                })

                $(".circleListWrap").click(function(evt) {
                    evt.stopPropagation();
                })

                if (opts.toolbarStyle == "yp") {
                    $(document).click(circleListWrap_hide);
                } else {
                    $("#toolMoreWrap").click(circleListWrap_hide);
                    $("#toolMoreWrap").on("touchmove", function(evt) {
                        evt.preventDefault();
                    })
                }

                function circleListWrap_hide(event) {
                    event.stopPropagation();
                    if (opts.toolbarStyle == "yp") {
                        if (opts.clicktype == 0) {
                            $(".circleListWrap").hide();
                            $("#toolMoreWrap").hide();
                        } else {
                            opts.clicktype = 0;
                        }
                    } else {
                        $(".circleListWrap").hide();
                        $("#toolMoreWrap").hide();
                    }
                }

                $("#footerCenterindex").click(function(evt) {
                    evt.stopPropagation();
                    $(".circleListWrap").hide();
                    location.href = "/index.html";
                });

                $("#email").click(function(evt) {
                    evt.stopPropagation();
                    $("#toolMoreWrap").hide();
                    $(".circleListWrap").hide();
                    location.href = "/email/&email=" + opts.email + ".html";
                });

                $("#map").click(function(evt) {
                    evt.stopPropagation();
                    $("#toolMoreWrap").hide();
                    $(".circleListWrap").hide();
                    location.href = "/map/&mutiline=1.html";
                });

                $("#share").click(function(evt) {
                    evt.stopPropagation();
                    $("#toolMoreWrap").hide();
                    $(".circleListWrap").hide();
                    submitName1();
                });

                $("#message").click(function(evt) {
                    evt.stopPropagation();
                    $("#toolMoreWrap").hide();
                    $(".circleListWrap").hide();
                    location.href = "/message/&productId=" + opts.productId + "&newsId=" + opts.newsId + "&gjt=1&mutiline=1.html";
                });

                $("#more").click(function(evt) {
                    evt.stopPropagation();
                    if ($.os.ios && navigator.userAgent.indexOf("Safari") != -1 && navigator.userAgent.indexOf("MQQBrowser") == -1) {
                        var win_h = $(window).height();
                        $("#toolMoreWrap").height(win_h);
                    }
                    if ($("#toolMoreWrap").css("display") == "none") {
                        if (opts.toolbarStyle == "yp") {
                            $("#toolMoreWrap1").hide();
                            $("#toolMoreWrap").show();
                        } else {
                            $(this).parent().addClass("current");
                            $("body").append($("#toolMoreWrap"));
                            $("#toolMoreWrap").show();
                        }
                    } else {
                        $("#toolMoreWrap").hide();
                        $(this).parent().removeClass("current");
                    }
                    opts.clicktype = 1;
                })

                $("#cart").click(function(evt) {
                    evt.stopPropagation();
                    $(".circleListWrap").hide();
                    $("#toolMoreWrap").hide();
                    location.href = "/orders_cart.html";
                });

                $("#member").click(function(evt) {
                    evt.stopPropagation();
                    $("#toolMoreWrap").hide();
                    $(".circleListWrap").hide();
                    opts.logintype = isLogin();
                    if (opts.logintype == "true") {
                        location.href = "/members_info.html";
                    } else {
                        location.href = "/members_login.html";
                    }
                });

                $("#yptel").click(function(evt) {
                    evt.stopPropagation();
                    $(".circleListWrap").hide();
                    location.href = "tel:" + opts.mobile;
                });

                $(".Toolbar_show01-d1_c1 li div").on('touchstart', function() {
                    if (opts.toolbarStyle == "yp") {
                        var classname = $(this).parent().attr("class");
                        var nameclassname = classname.replace("cont", "current");
                        var addclass = "current " + nameclassname;
                        $(this).closest(".circleListWrap").find(".circleBg").addClass(addclass);
                    }
                }).on('touchend', function() {
                    if (opts.toolbarStyle == "yp") {
                        var classname = $(this).parent().attr("class");
                        var nameclassname = classname.replace("cont", "current");
                        var addclass = "current " + nameclassname;
                        $(this).closest(".circleListWrap").find(".circleBg").removeClass(addclass);
                        setTimeout(function() {
                            circleListWrap_hide()
                        }, 100);
                    }
                });

                $(".Popupicon").click(function() {
                    if ($(".footerToolStyle2").hasClass("open")) {
                        $(".footerToolStyle2").removeClass("open");
                    } else {
                        $(".footerToolStyle2").addClass("open");
                    }
                });

            };

        var getshopNum = function() {
        		sessionStorage["refreshcart"]="0";
                var num = Math.random();
                $.ajax({
                    url: "http://m.300.cn/Toolbar.do?method=getshopNum",
                    data: {
                        num: num
                    },
                    success: function(data) {
                        if (data != 0) {
                            $("#toolbar_cartnum").show();
                        }
                        if (data > 99) {
                            data = '99+';
                            $(".numIcon").addClass("more99");
                        } else {
                            $(".numIcon").removeClass("more99");
                        }
                        $("#toolbar_cartnum").html(data);

                    },
                    error: function() {

                    }
                });
            }

        var searchservice = function() {
                var service = false;
                $.ajax({
                    url: "http://m.300.cn/Toolbar.do?method=searchservice",
                    async: false,
                    data: {
                        "newsId": opts.newsId,
                        "productId": opts.productId
                    },
                    success: function(data) {
                        service = data;
                    },
                    error: function() {

                    }
                });
                return service;
            }

        var isLogin = function() {
                var islogin = false;
                $.ajax({
                    url: "http://m.300.cn/Toolbar.do?method=isLogin",
                    async: false,
                    data: {

                    },
                    success: function(data) {
                        islogin = data;
                    },
                    error: function() {

                    }
                });
                return islogin;
            }

        var submitName1 = function() {
                $.ajax({
                    url: "http://m.300.cn/Toolbar.do?method=submit1",
                    data: {
                        "productListName": $("#productListName").text(),
                        "action_page": "\/share.html",
                        "productName": $("#productDetailName").text(),
                        "newsListName": $("#listTitleId").text(),
                        "newsName": $("#titleId").text(),
                        "mapCompanyAddress": $("#mapCompanyAddress").val(),
                        "contentTitle": $("#divContent_title").text(),
                        "productPic": $("#productPic0").attr("src"),
                        "shareUrl": window.location.href
                    },
                    success: function() {
                        location.href = "/share/&mutiline=1.html";
                    },
                    error: function() {
                        location.href = "/share/&mutiline=1.html";
                    }
                });
            }

        return {
            init: init,
            getshopNum: getshopNum
        };
    }();